# NM_Set_Time_Constrained Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Set_Time_Constrained:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Set_Time_Constrained ()
virtual | ~NM_Set_Time_Constrained ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | constrainedOn ()
void | constrainedOff ()
bool | isConstrained ()
## Protected Attributes
bool | constrained
| Toggle which indicates if federate wants to become constrained or leave its constrained state.

## Detailed Description

Definition at line 224 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Definition at line 226 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Set_Time_Constrained | ( |  | ) |

Definition at line 534 of file NM_Classes.cc.

References NM_Set_Time_Constrained::constrained, NetworkMessage::name, NetworkMessage::SET_TIME_CONSTRAINED, and NetworkMessage::type.

~NM_Set_Time_Constrained | ( |  | ) | `[virtual]`

Definition at line 540 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 542 of file NM_Classes.cc.

References NM_Set_Time_Constrained::constrained, NetworkMessage::serialize(), and MessageBuffer::write_bool().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 548 of file NM_Classes.cc.

References NM_Set_Time_Constrained::constrained, NetworkMessage::deserialize(), and MessageBuffer::read_bool().

Here is the call graph for this function:

void constrainedOn | ( |  | ) | `[inline]`

Definition at line 232 of file NM_Classes.hh.

Referenced by TimeManagement::setTimeConstrained().

void constrainedOff | ( |  | ) | `[inline]`

Definition at line 233 of file NM_Classes.hh.

Referenced by TimeManagement::setTimeConstrained().

bool isConstrained | ( |  | ) | `[inline]`

Definition at line 234 of file NM_Classes.hh.

Referenced by RTIG::processSetTimeConstrained().

## Member Data Documentation

bool constrained`[protected]`

Toggle which indicates if federate wants to become constrained or leave its constrained state.

Definition at line 234 of file NM_Classes.hh.

Referenced by NM_Set_Time_Constrained::deserialize(), NM_Set_Time_Constrained::NM_Set_Time_Constrained(), and NM_Set_Time_Constrained::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc